/**
 * The Student class represents a student in a student administration system.
 * It holds the student details relevant in our context.
 *
 * @authr Saba
 * @version 0.0
 */
package com.company;
public class Student{
    //the student's first name
    private String firstName;
    //the student's last name
    private String lastName;
    //the student's ID
    private String id;
    //the studnet's grade
    private int grade;

    /**
     * Create a new studet with a given name and ID number.
     *
     * @param fName first name of student
     * @param lName last name of student
     * @param sID ID of studnet
     */
    public Student(String fName,String lName,String sID){
        firstName = fName;
        lastName = lName;
        id = sID;
        grade = 0;
    }

    /**
     * get the first name of student.
     * @return firstName field
     */
    public String getFirstName(){
        return firstName;
    }

    /**
     * set first name of student.
     * @param fName first name of studnet
     */
    public void setFirstName(String fName){
        firstName = fName;
    }

    /**
     * get the last name of student.
     * @return lastName field
     */
    public String getLastName(){
        return lastName;
    }

    /**
     * set last name of student.
     * @param lName last name of student
     */
    public void setLastName(String lName){
        lastName = lName;
    }

    /**
     * get ID number of student.
     * @return id field
     */
    public String getId(){
        return id;
    }

    /**
     * set ID
     * @param sID ID of student
     */
    public void setId(String sID){
        id = sID;
    }

    /**
     * get grade of student
     * @return grade field
     */
    public int getGrade(){
        return grade;
    }

    /**
     * set grade of student
     * @param stdgrade grade of student
     */
    public void setGrade(int stdgrade){
        grade = stdgrade;
    }

    /**
     * Print the student's last name and ID number to the output terminal.
     */

    public void print(){
        System.out.println(lastName + ", student id: " + id + ", grade: " + grade);
    }
}