/**
 * The Lab class have the whole datails of all studentsof the lab .
 *
 * @authr Saba
 * @version 0.0
 */

package com.company;
public class Lab{
    //array of students
    private Student[] students;
    //the average of  the lab
    private int avg;
    //the capacity of the lab
    private int capacity;
    //the current size of the lab
    private int currentSize;
    //the day of the lab
    private String day;

    /**
     * create a new lab with given capacity and day.
     * @param cap capacity of the lab
     * @param d day of the lab
     */
    public Lab(int cap,String d){
        students = new Student[cap];
        avg = 0;
        capacity = cap;
        day = d;
        currentSize = 0;
    }

    /**
     * adds students to the lab.
     * @param std new student which is going to be added
     */
    public void enrollStudent(Student std){
        if (currentSize < capacity){
            students[currentSize] = std ;
            currentSize++;
        }
        else
            System.out.println("lab is full!");
    }

    /**
     * get the students of the lab.
     * @return students field
     */
    public Student[] getStudents(){
        return students;
    }

    /**
     * set the students
     * @param stds students
     */

    public void setStudents(Student[] stds){
        students = stds;
    }

    /**
     * set the average of the students.
     * @return avg field
     */
    public int getAvg(){
        return avg;
    }

    /**
     * calculates the average of the lab based on students' grades.
     */
    public void calculateAvg(){
        int sum = 0;
        for (int i=0 ; i<currentSize ; i++){
            sum += students[i].getGrade();
        }
        avg = sum/currentSize;
    }

    /**
     * get the day of the lab
     * @return day field
     */
    public String getDay(){
        return day;
    }

    /**
     * set the day of the lab
     * @param d day og the lab
     */
    public void setDay(String d){
        day = d;
    }

    /**
     * get the capacity of the lab
     * @return capacity field
     */
    public int getCapacity(){
        return capacity;
    }

    /**
     * set the capacity of the lab
     * @param cap capacity of the lab
     */
    public void setCapacity(int cap){
        capacity = cap;
    }

    /**
     * prints all the students' details and the average of the class.
     */
    public void print(){
        for (int i=0 ; i<currentSize ; i++){
            System.out.println("std fname: " + students[i].getFirstName()+ " std id:" + students[i].getId() + " std grade:"+ students[i].getGrade());
        }
        System.out.println("lab avg: " + avg);
    }
}

